Frontend Builder not working - javascript error

StatusIDPriorityType
Closed25942HighFrontend Builder WP
Profile Reply
chairlines Client

I purchaseed the edge-Template.

I get an Javascript Error when editing my page.

JQMIGRATE: Migrate is installed, version 1.4.0
(45) jquery.js?ver=1.12.3:2 Uncaught Error: Syntax error, unrecognized expression: #edgewp_div_header_menu a[href^=#]:not([href=#])

—–
To be more precise its 45-times the same error.

There is also an Javascript Error when visiting the page in the frontend (without editor):

JQMIGRATE: Migrate is installed, version 1.4.0
jquery.js?ver=1.12.3:2 Uncaught Error: Syntax error, unrecognized expression: #edgewp_div_header_menu a[href^=#]:not([href=#])

I can not Edit my Page. What can i do?

Replies

User Description Posted On
chairlines Client

It seems it has to do with the scolling functionality (javascript event) as we get the same error every time we scroll.

chairlines Client

OK, i got workaround.
It seems as the edge-theme use some pretty old jquery code, which is not compatible with JQuery 1.12.0 and above. The last version i can get it to work with ist Version "1.11.3".
How to workaround: unregister the new jquery and add version 1.11.3 of jQuery. Add the follwing code snippet i.e. in the functions.php of the child-theme or in on some other nice place.
------------------------------------------------------------

function my_adjustments() {
wp_deregister_script('jquery');
wp_register_script('jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js', false, '1.11.3');
wp_enqueue_script('jquery');
}
add_action( 'wp_enqueue_scripts', 'my_adjustments' );

------------------------------------------------------------

× This ticket is closed.